commit baad2e56cdcffa83e2e5d138537dcef858bdf5b6
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Fri Oct 31 12:59:39 2025 +0000

    Fix duplicate address processing vs. continued-transport
    
    Broken-by: 79344067b96a

diff --git a/src/src/deliver.c b/src/src/deliver.c
index 94dc092a3..29c5dbfc6 100644
--- a/src/src/deliver.c
+++ b/src/src/deliver.c
@@ -8980,7 +8980,9 @@ report_time_since(&timestamp_startup, US"delivery end"); /* testcase 0005 */
 if (final_yield == DELIVER_ATTEMPTED_NORMAL && *continue_next_id)
   {
   addr_defer = addr_failed = addr_succeed = NULL;
+
   tree_duplicates = NULL;	/* discard dups info from old message */
+  addr_duplicate = NULL;
 
   spool_clear_header_globals();
   deliver_set_expansions(NULL);

